MESA Core · v0.9.3

HTTP uç nokta referansı

v0.9.3 kaynak: docs/api-reference.md

Bu rehberin Türkçe ve İngilizce sürümleri aynı konuyu açıklar. Bu sayfayla ilgili kaynak bölümleri en altta yer alır.

Genel bakış#

Core v0.9.3 (commit 531209b) ile yayımlanan OpenAPI belgesinden üretildi. Örnek gövdeler isteğin biçimini göstermek için şemadan oluşturulur; kaydedilmiş sunucu yanıtları değildir. Alan açıklamaları kaynakta İngilizcedir.

/health/init dışındaki her uç nokta X-API-Key başlığı ister. V4 çağrısının erişebileceği veri, o anahtara verilen rollerle sınırlıdır; bkz. Güvenlik ve kapsam.

OpenAPI JSON dosyasını indirin

V4 · hafıza, katalog ve oturumlar#

POST /v4/catalog/workspaces#

Create Workspace · X-API-Key gerekir.

İstek gövdesi · V4WorkspaceRequest

json
{
  "tenant_id": "docs-tenant",
  "workspace_id": "docs-workspace"
}
AlanTürZorunluAçıklama
tenant_idstringevet
workspace_idstringevet
tenant_namestring \nullhayır
workspace_namestring \nullhayır

Yanıtlar

  • 201 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /v4/catalog/workspaces#

List Workspaces · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
tenant_idquerystringevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

POST /v4/catalog/datasets#

Create Dataset · X-API-Key gerekir.

İstek gövdesi · V4DatasetRequest

json
{
  "tenant_id": "docs-tenant",
  "workspace_id": "docs-workspace",
  "dataset_id": "docs-dataset"
}
AlanTürZorunluAçıklama
tenant_idstringevet
workspace_idstringevet
dataset_idstringevet
tenant_namestring \nullhayır
workspace_namestring \nullhayır
dataset_namestring \nullhayır

Yanıtlar

  • 201 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /v4/catalog/datasets#

List Datasets · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
tenant_idquerystringevet
workspace_idquerystringevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

POST /v4/catalog/documents#

Create Document · X-API-Key gerekir.

İstek gövdesi · V4DocumentRequest

json
{
  "tenant_id": "docs-tenant",
  "workspace_id": "docs-workspace",
  "dataset_id": "docs-dataset",
  "document_id": "archive-hours",
  "title": "Archive opening hours"
}
AlanTürZorunluAçıklama
tenant_idstringevet
workspace_idstringevet
dataset_idstringevet
document_idstringevet
titlestringevet
external_refstring \nullhayır

Yanıtlar

  • 201 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /v4/catalog/documents#

List Documents · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
tenant_idquerystringevet
workspace_idquerystringevet
dataset_idquerystringevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

POST /v4/catalog/revisions#

Create Revision · X-API-Key gerekir.

İstek gövdesi · V4RevisionRequest

json
{
  "tenant_id": "docs-tenant",
  "workspace_id": "docs-workspace",
  "dataset_id": "docs-dataset",
  "document_id": "archive-hours",
  "revision_id": "revision-1",
  "revision_number": 1,
  "content_sha256": "string"
}
AlanTürZorunluAçıklama
tenant_idstringevet
workspace_idstringevet
dataset_idstringevet
document_idstringevet
revision_idstringevet
revision_numberintegerevet
content_sha256stringevet
supersedes_revision_idstring \nullhayır

Yanıtlar

  • 201 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /v4/catalog/revisions#

List Revisions · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
tenant_idquerystringevet
workspace_idquerystringevet
dataset_idquerystringevet
document_idquerystringevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

POST /v4/catalog/source-chunks#

Create Source Chunk · X-API-Key gerekir.

İstek gövdesi · V4SourceChunkRequest

json
{
  "tenant_id": "docs-tenant",
  "workspace_id": "docs-workspace",
  "dataset_id": "docs-dataset",
  "document_id": "archive-hours",
  "revision_id": "revision-1",
  "chunk_id": "chunk-1",
  "title": "Archive opening hours",
  "content": "The archive opens at nine on weekdays.",
  "source_ref": "demo://archive-hours"
}
AlanTürZorunluAçıklama
tenant_idstringevet
workspace_idstringevet
dataset_idstringevet
document_idstringevet
revision_idstringevet
chunk_idstringevet
titlestringevet
contentstringevet
source_refstringevet
revision_numberintegerhayır
chunk_ordinalintegerhayır
finalize_revisionbooleanhayır
external_refstring \nullhayır
supersedes_revision_idstring \nullhayır

Yanıtlar

  • 201 Successful Response
  • 422 Validation Error · HTTPValidationError

DELETE /v4/catalog/documents/{document_id}#

Purge Document · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
document_idpathstringevet
tenant_idquerystringevet
workspace_idquerystringevet
dataset_idquerystringevet

Yanıtlar

  • 202 Successful Response
  • 422 Validation Error · HTTPValidationError

POST /v4/sessions/start#

Start Session · X-API-Key gerekir.

İstek gövdesi · V4SessionStartRequest

json
{
  "tenant_id": "docs-tenant",
  "workspace_id": "docs-workspace",
  "dataset_ids": [
    "string"
  ],
  "agent_id": "docs-agent"
}
AlanTürZorunluAçıklama
tenant_idstringevet
workspace_idstringevet
dataset_idsarray<string>evet
agent_idstringevet

Yanıtlar

  • 201 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /v4/capability#

Get Capability · X-API-Key gerekir.

Yanıtlar

  • 200 Successful Response · V4CapabilityResponse

Örnek

json
{
  "api_version": "v4",
  "features": [
    "string"
  ],
  "capabilities": {
    "canonical_ledger": true,
    "projection_outbox": true,
    "idempotent_ingestion": true,
    "vector_retrieval": true,
    "lexical_retrieval": true,
    "assertion_relational_lane": true
  },
  "validation": {
    "mode": 0,
    "policy": "deterministic_only",
    "llm_validation_enabled": false,
    "validator_count": 0
  },
  "limits": {
    "rebuild_kind": "projection",
    "rebuild_scope": "storage_root",
    "requires_offline_runner": true
  }
}

POST /v4/operations/rebuild#

Create Rebuild Operation · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
Idempotency-Keyheaderstringevet

Yanıtlar

  • 202 Successful Response · V4OperationResponse
  • 422 Validation Error · HTTPValidationError

Örnek

json
{
  "operation_id": "<operation_id>",
  "operation_kind": "projection_rebuild",
  "scope": "storage_root",
  "state": "string",
  "attempt": 0,
  "progress": {
    "completed": 0,
    "total": 0
  }
}

GET /v4/operations/{operation_id}#

Get Rebuild Operation · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
operation_idpathstringevet

Yanıtlar

  • 200 Successful Response · V4OperationResponse
  • 422 Validation Error · HTTPValidationError

Örnek

json
{
  "operation_id": "<operation_id>",
  "operation_kind": "projection_rebuild",
  "scope": "storage_root",
  "state": "string",
  "attempt": 0,
  "progress": {
    "completed": 0,
    "total": 0
  }
}

POST /v4/operations/{operation_id}/cancel#

Cancel Rebuild Operation · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
operation_idpathstringevet

Yanıtlar

  • 200 Successful Response · V4OperationResponse
  • 422 Validation Error · HTTPValidationError

Örnek

json
{
  "operation_id": "<operation_id>",
  "operation_kind": "projection_rebuild",
  "scope": "storage_root",
  "state": "string",
  "attempt": 0,
  "progress": {
    "completed": 0,
    "total": 0
  }
}

POST /v4/operations/{operation_id}/retry#

Retry Rebuild Operation · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
operation_idpathstringevet

Yanıtlar

  • 202 Successful Response · V4OperationResponse
  • 422 Validation Error · HTTPValidationError

Örnek

json
{
  "operation_id": "<operation_id>",
  "operation_kind": "projection_rebuild",
  "scope": "storage_root",
  "state": "string",
  "attempt": 0,
  "progress": {
    "completed": 0,
    "total": 0
  }
}

POST /v4/rebuild#

Rebuild Index · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
tenant_idquerystring \nullhayır
workspace_idquerystring \nullhayır
dataset_idquerystring \nullhayır
Idempotency-Keyheaderstringevet

Yanıtlar

  • 202 Successful Response · V4OperationResponse
  • 422 Validation Error · HTTPValidationError

Örnek

json
{
  "operation_id": "<operation_id>",
  "operation_kind": "projection_rebuild",
  "scope": "storage_root",
  "state": "string",
  "attempt": 0,
  "progress": {
    "completed": 0,
    "total": 0
  }
}

POST /v4/memory/insert#

Insert Memory · X-API-Key gerekir.

İstek gövdesi · V4MemoryInsertRequest

json
{
  "session_id": "<session_id>",
  "dataset_id": "docs-dataset",
  "document_id": "archive-hours",
  "revision_id": "revision-1",
  "chunk_id": "chunk-1",
  "title": "Archive opening hours",
  "source_ref": "demo://archive-hours",
  "content": "The archive opens at nine on weekdays."
}
AlanTürZorunluAçıklama
session_idstringevet
dataset_idstringevet
document_idstringevet
revision_idstringevet
chunk_idstringevet
titlestringevet
source_refstringevet
contentstringevet
evidence_spanstringhayır
revision_numberintegerhayır
chunk_ordinalintegerhayır
finalize_revisionbooleanhayır
supersedes_revision_idstring \nullhayır
metadataobjecthayır
legal_identityV4LegalIdentityRequest \nullhayır
idempotency_keystring \nullhayır

Yanıtlar

  • 202 Successful Response
  • 422 Validation Error · HTTPValidationError

POST /v4/documents#

Ingest Document · X-API-Key gerekir.

İstek gövdesi · V4DocumentIngestRequest

json
{
  "session_id": "<session_id>",
  "dataset_id": "docs-dataset",
  "document_id": "archive-hours",
  "title": "Archive opening hours",
  "source_ref": "demo://archive-hours",
  "content": "The archive opens at nine on weekdays."
}
AlanTürZorunluAçıklama
session_idstringevet
dataset_idstringevet
document_idstringevet
titlestringevet
source_refstringevet
contentstringevet
metadataobjecthayır

Yanıtlar

  • 202 Successful Response · V4DocumentIngestResponse
  • 422 Validation Error · HTTPValidationError

Örnek

json
{
  "document_id": "archive-hours",
  "revision_id": "revision-1",
  "revision_number": 1,
  "chunk_count": 1,
  "mutation_ids": [
    "string"
  ],
  "duplicate": true
}

POST /v4/memory/search#

Search Memory · X-API-Key gerekir.

İstek gövdesi · V4SearchRequest

json
{
  "session_id": "<session_id>",
  "query": "When does the archive open?"
}
AlanTürZorunluAçıklama
session_idstringevet
dataset_idsarray<string> \nullhayır
querystringevet
limitintegerhayır
jurisdictionstring \nullhayır
valid_atstring \nullhayır
valid_fromstring \nullhayır
valid_tostring \nullhayır
graph_modeenabled · disabledhayırEnable or disable only the graph retrieval lane for matched ablation.

Yanıtlar

  • 200 Successful Response · V4SearchResponse
  • 422 Validation Error · HTTPValidationError

Örnek

json
{
  "session_id": "<session_id>",
  "dataset_ids": [
    "string"
  ],
  "results": [
    {}
  ],
  "degraded_sources": [],
  "scope_audit": {
    "contract_version": "string",
    "enforcement_stage": "string",
    "requested_scope": {},
    "requested_scope_identity": "string",
    "query_identity": "string",
    "evaluated_candidate_count": 0
  },
  "graph_ablation": {
    "contract_version": "string",
    "mode": "enabled",
    "pair_identity": "string",
    "query_identity": "string",
    "retrieval_config_identity": "string",
    "scope_identity": "string"
  }
}

GET /v4/mutations/{mutation_id}#

Mutation Status · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
mutation_idpathstringevet

Yanıtlar

  • 200 Successful Response · V4MutationStatusResponse
  • 422 Validation Error · HTTPValidationError

Örnek

json
{
  "mutation_id": "<mutation_id>",
  "candidate_id": "string",
  "state": "string",
  "failure_class": "string",
  "rejection_reason": "string",
  "tier3_audit": {}
}

POST /v4/mutations/{mutation_id}/rollback#

Rollback Mutation · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
mutation_idpathstringevet

Yanıtlar

  • 202 Successful Response
  • 422 Validation Error · HTTPValidationError

POST /v4/mutations/{mutation_id}/replay#

Replay Mutation · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
mutation_idpathstringevet

Yanıtlar

  • 202 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /v4/sessions/{session_id}/context#

Get Context · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
session_idpathstringevet
queryquerystringhayır
token_budgetqueryintegerhayır
jurisdictionquerystring \nullhayır
valid_atquerystring \nullhayır
valid_fromquerystring \nullhayır
valid_toquerystring \nullhayır
retrieval_modequerysingle · adaptivehayır

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

POST /v4/sessions/{session_id}/end#

End Session · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
session_idpathstringevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

Sağlık ve metrikler#

GET /health/init#

Health Init · API anahtarı gerekmez.

Yanıtlar

  • 200 Successful Response

GET /health#

Health · X-API-Key gerekir.

Yanıtlar

  • 200 Successful Response

GET /metrics#

Metrics · X-API-Key gerekir.

Yanıtlar

  • 200 Successful Response

MCP kontrol düzlemi#

GET /control/mcp/clients#

List Clients · X-API-Key gerekir.

Yanıtlar

  • 200 Successful Response

POST /control/mcp/clients#

Create Client · X-API-Key gerekir.

İstek gövdesi · ClientCreateReq

json
{
  "client_id": "string",
  "display_name": "string",
  "client_type": "string",
  "principal_id": "string"
}
AlanTürZorunluAçıklama
client_idstringevet
display_namestringevet
client_typestringevet
principal_idstringevet
metadataobjecthayır

Yanıtlar

  • 201 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/clients/{client_id}#

Get Client · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
client_idpathstringevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/connections#

List Connections · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
client_idquerystring \nullhayır

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/settings#

Get Settings · X-API-Key gerekir.

Yanıtlar

  • 200 Successful Response

POST /control/mcp/settings#

Update Setting · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
keyquerystringevet
valuequeryobjectevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

POST /control/mcp/policies#

Create Policy · X-API-Key gerekir.

İstek gövdesi · PolicyCreateReq

json
{
  "rule_id": "string",
  "scope_type": "string",
  "operation": "string",
  "effect": "string",
  "created_by": "string"
}
AlanTürZorunluAçıklama
rule_idstringevet
scope_typestringevet
operationstringevet
effectstringevet
created_bystringevet
scope_idstring \nullhayır
priorityintegerhayır
conditionsobjecthayır

Yanıtlar

  • 201 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/policies#

List Policies · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
operationquerystring \nullhayır

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

PUT /control/mcp/clients/{client_id}/enabled#

Toggle Client Enabled · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
client_idpathstringevet
enabledquerybooleanevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/clients/{client_id}/bindings#

List Bindings · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
client_idpathstringevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/managed-clients#

List Managed Clients · X-API-Key gerekir.

Yanıtlar

  • 200 Successful Response

POST /control/mcp/credentials/{credential_id}/revoke#

Revoke Managed Credential · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
credential_idpathstringevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/activity#

List Activity · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
limitqueryintegerhayır
offsetqueryintegerhayır
client_idquerystring \nullhayır
statusquerystring \nullhayır

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/activity/{call_id}#

Get Activity Call · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
call_idpathstringevet

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/approvals#

List Approvals · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
statusquerystring \nullhayır
limitqueryintegerhayır
offsetqueryintegerhayır

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/approvals/pending#

List Pending Approvals Endpoint · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
client_idquerystring \nullhayır

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

POST /control/mcp/approvals/{approval_id}/decide#

Decide Approval Endpoint · X-API-Key gerekir.

Parametreler

AdYerTürZorunlu
approval_idpathstringevet

İstek gövdesi · DecideApprovalReq

json
{
  "status": "string"
}
AlanTürZorunluAçıklama
statusstringevet
reasonstring \nullhayır

Yanıtlar

  • 200 Successful Response
  • 422 Validation Error · HTTPValidationError

GET /control/mcp/overview#

Get Overview · X-API-Key gerekir.

Yanıtlar

  • 200 Successful Response